
def initialize(context):
    from os import environ
    from string import lower
    
    import ForceAuth
    if lower(environ.get('JCFORCEAUTH_ACTIVATE', 'yes')) in ('yes', 'oui', 'on', '1'):
        # install either the patch or the before publishing hook
        ForceAuth.install(context)
    else:
        # uninstall the hook (before publishing hook are stored in the ZODB and
        # stay alive across Zope restart)
        ForceAuth.uninstall(context)

    import UI
    UI.initialize(context)
